/// <reference types="node" />
import * as events from "events";
export declare enum SyncLogLevel {
    all = 0,
    trace = 1,
    debug = 2,
    detail = 3,
    info = 4,
    warn = 5,
    error = 6,
    fatal = 7,
    off = 8,
}
export declare const levels: {};
export declare abstract class Logger extends events.EventEmitter {
    withContext(ctx: object): Logger;
    abstract log(level: string, msg: string, ctx?: object): any;
    close(): void;
    trace(msg: string, ctx?: object): void;
    debug(msg: string, ctx?: object): void;
    detail(msg: string, ctx?: object): void;
    info(msg: string, ctx?: object): void;
    warn(msg: string, ctx?: object): void;
    error(msg: string, ctx?: object): void;
    fatal(msg: string, ctx?: object): void;
}
export declare class Mute extends Logger {
    log(level: string, msg: string, ctx?: object): void;
}
export declare class WinstonLogger extends Logger {
    private impl;
    constructor(level?: string);
    log(level: string, msg: string, ctx?: object): void;
    close(): void;
    add(transportClass: any, params: any): void;
    addConsole(): void;
    addFile(filename: string): void;
}
export declare class Console extends WinstonLogger {
    constructor(level?: string);
}
export declare class File extends WinstonLogger {
    constructor(filename: string, level?: string);
}
export declare class FileConsole extends WinstonLogger {
    constructor(filename?: string, level?: string);
}
